Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl > Class Template Reference

Reactive strategy. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >:

[legend]
Collaboration diagram for TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >:

[legend]
List of all members.

## Public Methods
| TAO_AV_Endpoint_Reactive_Strategy_A (void)
int | init (CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)
| Constructor.
virtual | ~TAO_AV_Endpoint_Reactive_Strategy_A (void)
| Destructor.
virtual int | activate_stream_endpoint (ACE_ENV_SINGLE_ARG_DECL)
virtual int | create_A (AVStreams::StreamEndPoint_A_ptr &stream_endpoint, AVStreams::VDev_ptr &vdev ACE_ENV_ARG_DECL)
| Called by the MMDevice, when it needs to create an A type endpoint.

## Detailed Description

### template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
class TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >

Reactive strategy.

## Constructor & Destructor Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >::TAO_AV_Endpoint_Reactive_Strategy_A | ( | void |  | ) |

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >::~TAO_AV_Endpoint_Reactive_Strategy_A | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >::activate_stream_endpoint | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Overrides the base class stream_endpoint activator, to activate an "A" type endpoint Implements TAO_AV_Endpoint_Reactive_Strategy< T_StreamEndpoint, T_VDev, T_MediaCtrl >.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >::create_A | ( | AVStreams::StreamEndPoint_A_ptr & | stream_endpoint,
|  | AVStreams::VDev_ptr &vdev | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Called by the MMDevice, when it needs to create an A type endpoint. Reimplemented from TAO_AV_Endpoint_Strategy.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
int TAO_AV_Endpoint_Reactive_Strategy_A< T_StreamEndpoint, T_VDev, T_MediaCtrl >::init | ( | CORBA::ORB_ptr | orb,
|  | PortableServer::POA_ptr | poa
| ) |

| Constructor.

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp